Skip to main content
GET
List built client keys

Authorizations

Authorization
string
header
required

Query Parameters

tags
string[]

Response

Successful response

client key after buildtime evaluation. Fields name and description are already evaluated.

algorithm
enum<string>
required

Cryptographic or integration algorithm. Discriminator for polymorphic create, update, and response schemas.

Available options:
A128KW
component_ids
string[]
required
component_references
object[]
required
created_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

description
string
required
id
string
required
read-only
key
string
required

Evaluated key material in the same encoding as on create. Symmetric secrets and private keys are partially masked; public keys are returned in full PEM form.

name
string
required
partner_key_id
string
required
tags
string[]
required
type
enum<string>
required

Usage category that determines how the key is consumed at runtime.

Available options:
JWT,
PASSWORD,
PGP,
PGP_EXTOLE,
SSH,
WEBHOOK
updated_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"